#ifndef HALOBJECT_H
#define HALOBJECT_H

#include <QtGui>
#include <QtDBus>


class halObject:public QObject{
Q_OBJECT
public:
    halObject(QObject *parent);
    QMap <QString,QString>  getVolumeList();
    QMap <QString,QString>  getDriveList(bool burner);
private:
    QDBusConnection m_bus;
    bool boolReplyMessageHandler( QDBusMessage replyMsg );
    bool isDisc( QString DiscUdi );
    void devProperties( QString DiscUdi,QString &_dev,QString &_vol );
private slots:
    void deviceAdded(const QString &);
    void deviceRemoved(const QString &);
signals:
    void discInserted(const QString &device,const QString &volume);
    void discEjected(const QString &device,const QString &volume);
    void deviceAdded(const QString &device,const QString &label, bool burnDevice,const QStringList &speeds);
};



#endif // HALOBJECT_H
